Package org.eclipse.swt.custom

## Interface PaintObjectListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface PaintObjectListener
    extends SWTEventListener

This listener is invoked when an object needs to be drawn.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `paintObject​(PaintObjectEvent event)` This method is called when an object needs to be drawn.

### Method Detail

#### paintObject

    void paintObject​(PaintObjectEvent event)

This method is called when an object needs to be drawn.

The following event fields are used:

- event.x the x location (input)
- event.y the y location (input)
- event.ascent the line ascent (input)
- event.descent the line descent (input)
- event.gc the gc (input)
- event.style the style (input)

Parameters:
  `event` - the event
See Also:
  `PaintObjectEvent`, `StyledText.addPaintObjectListener(PaintObjectListener)`